org.apache.xmlbeans.xml.stream

## Interface CharacterData

All Superinterfaces:
  XMLEvent

All Known Subinterfaces:
  Comment, Space

    public interface CharacterData
    extends XMLEvent

A marker interface for character data

Since:
  Weblogic XML Input Stream 1.0
See Also:
  `XMLEvent`

### Field Summary

### Fields inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

`CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getContent()` Get the content of this element, returns null if the element has no content
`boolean` `hasContent()` Returns true if this element has content and false otherwise

### Methods inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

`getLocation, getName, getSchemaType, getType, getTypeAsString, hasName, isChangePrefixMapping, isCharacterData, isEndDocument, isEndElement, isEndPrefixMapping, isEntityReference, isNull, isProcessingInstruction, isSpace, isStartDocument, isStartElement, isStartPrefixMapping`

### Method Detail

#### getContent

    String getContent()

Get the content of this element, returns null if the element has no content

#### hasContent

    boolean hasContent()

Returns true if this element has content and false otherwise